#include <stdio.h>

int main() {
  int m, n, p, k, i, j, x, y;
  int mat[50][50];
  int sum;
  scanf("%d%d", &m, &n);
  
  for(i=0;i<m;i++)
    for(j=0;j<n;j++)
      scanf("%d", &mat[i][j]);
    
  scanf("%d%d", &p, &k);
  
  if(p>m || k>n)
  {
    return -1;
  }
  
  for(i=0;i<m-p;i++)
    for(j=0;j<n-k;j++)
    {
      sum=0;
      for(x=i;x<p;x++)
	for(y=j;y<k;y++)
	  sum+=mat[x][y];
	
	printf("%d\n", &sum);
    }
    
    return 0;
}

      
